Home | All Classes | Grouped Classes | Index | Search

# CL_InputBuffer::CL_InputBuffer

Constructs an input buffer.

    	CL_InputBuffer();

    	CL_InputBuffer(
    		CL_InputDevice& device);

    	CL_InputBuffer(
    		CL_InputContext* ic);

    	CL_InputBuffer(
    		const CL_InputBuffer& copy);

Parameters:

ic
  Input context that input buffer should connect to get keys.
sig_key_down
  Signal input buffer should connect to get key presses.
sig_key_up
  Signal input buffer should connect to get key released.
device
  Input device that input buffer should connect to get keys.

Detailed description:

Detailed description that explains what this damn constructors really do.

See also:

CL_InputContext | CL_InputDevice | CL_InputBuffer

Questions or comments, write to the ClanLib mailing list.